AutoDiscoveryRedeliveryHandlerFactory (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.jms.AutoDiscoveryRedeliveryHandlerFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.jms
Class AutoDiscoveryRedeliveryHandlerFactory

    java.lang.Object
      org.mule.transport.jms.AutoDiscoveryRedeliveryHandlerFactory

All Implemented Interfaces:
  RedeliveryHandlerFactory

    public class AutoDiscoveryRedeliveryHandlerFactory

extends Object
implements RedeliveryHandlerFactory

This factory will consult JMS connection metadata for supported optional properties and use those, if available, otherwise falling back to the manual counting of redeliveries.

See Also:
  `CountingRedeliveryHandlerFactory`, `JmsXRedeliveryHandlerFactory`, `ConnectionMetaData`

Field Summary
`protected JmsConnector` | `connector`
`protected AtomicReference<RedeliveryHandler>` | `delegateHandler`
`protected Log` | `logger`

Constructor Summary
`AutoDiscoveryRedeliveryHandlerFactory(JmsConnector connector)`

Method Summary
`RedeliveryHandler` | `create()`
`protected RedeliveryHandler` | `createInstance()` Create an instance using the discovery mechanism.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected final Log logger

### delegateHandler

    protected AtomicReference<RedeliveryHandler> delegateHandler

### connector

    protected JmsConnector connector

Constructor Detail

### AutoDiscoveryRedeliveryHandlerFactory

    public AutoDiscoveryRedeliveryHandlerFactory(JmsConnector connector)

Method Detail

### create

    public RedeliveryHandler create()

  Specified by:
    `create` in interface `RedeliveryHandlerFactory`
  Returns:
    `RedeliveryHandler` new redelivery handler instance.

### createInstance

    protected RedeliveryHandler createInstance()

  Create an instance using the discovery mechanism.

  Returns:
    an implementation based on the results of discovery

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.